export interface LoginDTO {
    userName: string;
    password: string;
}

export interface TokenDTO {
    expire: number;
    token: string;
    refreshExpire: number;
    refreshToken: string;
}

export interface RoleDTO {
    id: number;
    roleName: string;
    status: number;
    createTime: string;
    createOper: string;
    operTime: string;
    oper: string;
}

export interface MerchantDTO {
    id: number;
    merchantName: string;
    levelId: number;
    merchantStatus: number;
    balance: number;
    frozenBalance: number;
    integral: number;
    relationName: string;
    phone: string;
    address: string;
    remark: string;
    creatorId: number;
    createTime: string;
    isDelete: number;
}

export interface UserDTO {
    id: number;
    userName: string;
    password: string;
    phoneNumber: string;
    emailAddress: string;
    name: string;
    avatarId: number;
    status: number;
    isDelete: number;
    merchantId: number;
    roles: Array<RoleDTO>;
    avatarUrl: string;
    merchant: MerchantDTO;
    idToString: string;
}

export interface PopMenu {
    id: number;
    parentid: number;
    homeid: number;
    menuName: string;
    parentMenuName: string;
    pageUrl: string;
    sort: number;
    level: number;
}

export interface LoginRespDTO {
    ack: number;
    data: UserDTO;
    msg: string;
    pop: Array<PopMenu>;
}

export interface Menu {
    id: string;
    parentId?: string;
    name?: string;
    icon?: string;
    type?: number;
    route?: string;
    filePath?: string;
    orderNumber?: number;
    url?: string;
    show?: boolean;
    children?: Menu[];
    path: string;
    Component?: any;
    parentPaths?: string[];
}

export interface User {
    id: number;
    userName: string;
    nickName: string;
    phoneNumber: string;
    email: string;
    createDate: string;
    updateDate: string;
    avatar?: any;
    menus: Menu[];
    routes: any[];
    flatMenus: Menu[];
    avatarPath: string;
    authList: string[];
}
